package com.laseroptek.raman.ui.screens.home.standby

import android.content.res.Configuration
import androidx.compose.foundation.background
import androidx.compose.foundation.layout.Box
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.tooling.preview.Preview
import com.laseroptek.raman.ui.common.fullscreen.FullScreen
import com.laseroptek.raman.utils.ext.noRippleClickable
import timber.log.Timber

@Composable
fun StandByPopup(
    onClick: () -> Unit = {}
) {
    FullScreen(
        backgroundColor = Color.Transparent
    ) {
        Box(
            modifier = Modifier
                .fillMaxSize()
                .background(Color.Transparent)
                .noRippleClickable {
                    Timber.d("StandByPopup background clicked")
                    onClick()
                }
        )
    }
}



@Preview(
    apiLevel = 34,
    uiMode = Configuration.UI_MODE_NIGHT_YES,
    showBackground = false,
    device = "spec:width=1920dp,height=1080dp,dpi=150,isRound=false,chinSize=0dp,orientation=landscape"
)
@Composable
fun StandByPopupPreview(
) {
    StandByPopup()
}